List Jobs
curl --request GET \
--url https://api.dispersed.com/v1/jobsimport requests
url = "https://api.dispersed.com/v1/jobs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dispersed.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"object": "job",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"cpu_count": 123,
"gpu_count": 123,
"min_ram_gb": 123,
"min_vram_gb": 123,
"min_storage_gb": 123,
"parameters": {
"parameters": {
"allowed_ips": [
"<string>"
],
"env": {},
"host": "<string>",
"image": "<string>",
"imagesrc": "<string>",
"ports": [
123
],
"secret": "<string>",
"sshkey": "<string>",
"tag": "<string>",
"user": "<string>",
"volumes": [
{
"image": "<string>",
"mount": "<string>",
"registry": "<string>",
"secret": "<string>",
"tag": "<string>",
"user": "<string>"
}
]
},
"type": "docker"
},
"timeout_assign_at_ms": 123,
"uuid": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"gpu_name": "<string>",
"gpu_registry_uuid": "<string>",
"max_timeout_assign_ms": 123,
"max_timeout_run_ms": 123,
"max_timeout_start_ms": 123,
"max_retry_count": 123,
"max_node_count": 123,
"image_size_bytes": 123,
"allowed_region_codes": [],
"container_access_tokens": [],
"status_reason": "<string>",
"source_recipe_uuid": "<string>"
}
],
"limit": 123,
"page": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Jobs
List Jobs
GET
/
v1
/
jobs
List Jobs
Query Parameters
Required range:
1 <= x <= 50Example:
1
Required range:
1 <= x <= 9007199254740991Example:
1
Example:
"created_at OR -created_at"
Example:
"1"
Example:
"2023-01-01,2024-01-01"
Example:
"8,16"
Example:
"16"
Example:
"4,8"
Example:
"PENDING,RUNNING"
Example:
"BATCH"
⌘I